Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.dependency
Interface KernelControllerContext

All Superinterfaces:
  Cloneable, org.jboss.dependency.spi.ControllerContext, org.jboss.util.JBossInterface, KernelRegistryEntry

All Known Implementing Classes:
  AbstractKernelControllerContext

public interface KernelControllerContext
extends KernelRegistryEntry

Information about dependencies and state.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Method Summary
`BeanInfo` | `getBeanInfo()` Get the BeanInfo
`BeanMetaData` | `getBeanMetaData()` Get the metadata
`Kernel` | `getKernel()` Get the kernel
`void` | `setBeanInfo(BeanInfo info)` Set the bean info
`void` | `setTarget(Object target)` Set the target

Methods inherited from interface org.jboss.kernel.spi.registry.KernelRegistryEntry
`getName, getTarget, setName`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.dependency.spi.ControllerContext
`getController, getDependencyInfo, getError, getMode, getRequiredState, getState, install, setController, setError, setMode, setRequiredState, uninstall`

Method Detail

### getKernel

    public Kernel getKernel()

  Get the kernel

  Returns:
    the kernel

### getBeanInfo

    public BeanInfo getBeanInfo()

  Get the BeanInfo

  Returns:
    the bean info

### setBeanInfo

    public void setBeanInfo(BeanInfo info)

  Set the bean info

  Parameters:
    `info` - the bean info

### getBeanMetaData

    public BeanMetaData getBeanMetaData()

  Get the metadata

  Returns:
    the bean metadata

### setTarget

    public void setTarget(Object target)

  Set the target

  Parameters:
    `target` - the target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.